haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Property

# Documentation

data Property Source #

Constructors

Property |

Fields

- propName :: Text
- propType :: Type
- propFlags :: [PropertyFlag]
- propReadNullable :: Maybe Bool
- propWriteNullable :: Maybe Bool
- propSetter :: Maybe Text
- propGetter :: Maybe Text
- propTransfer :: Transfer
- propDoc :: Documentation
- propDeprecated :: Maybe DeprecationInfo

#### Instances

Instances details

Show Property Source # |
Instance details Defined in Data.GI.GIR.Property Methods showsPrec :: Int -> Property -> ShowS Source # show :: Property -> String Source # showList :: [Property] -> ShowS Source #
Eq Property Source # |
Instance details Defined in Data.GI.GIR.Property Methods (==) :: Property -> Property -> Bool Source # (/=) :: Property -> Property -> Bool Source #

data PropertyFlag Source #

Constructors

PropertyReadable |
PropertyWritable |
PropertyConstruct |
PropertyConstructOnly |

#### Instances

Instances details

Show PropertyFlag Source # |
Instance details Defined in Data.GI.GIR.Property Methods showsPrec :: Int -> PropertyFlag -> ShowS Source # show :: PropertyFlag -> String Source # showList :: [PropertyFlag] -> ShowS Source #
Eq PropertyFlag Source # |
Instance details Defined in Data.GI.GIR.Property Methods (==) :: PropertyFlag -> PropertyFlag -> Bool Source # (/=) :: PropertyFlag -> PropertyFlag -> Bool Source #

parseProperty :: Parser Property Source #